{ pkgs, ... }:

{
  packages = with pkgs; [
    nixfmt-rfc-style
    nixd
  ];

  # https://devenv.sh/supported-languages/javascript
  languages.javascript = {
    enable = true;
    package = pkgs.nodejs_22; # Latest LTS. See https://nodejs.org/en/about/previous-releases

    pnpm.enable = true;
  };
}
